Create sub-accounts
Quick security check
Check the box so we know it’s really you.
Protected by Cloudflare. This keeps bots from creating fake accounts.
Shop curated products from WeShipYou sellers, fulfilled end-to-end with our shipping guarantee.
Shop on Amazon, the world's largest store with the widest range of products, all with the security of WeShipYou!
New and used items from US sellers: we buy Buy It Now listings for you.
Millions of products at factory prices, bought and shipped by us.
Shop pharmacy and grocery products at Walmart quickly and easily!
Shop the latest trending products at the best discounted prices, only at the Shein store!
Shop the best products at discounted prices at the Temu store!
Search thousands of US Shopify stores at once, or paste a link from any of them.
Receiving, storage, same-day pick & pack, multi-carrier shipping and returns — handled by us.
Compare and select the shipping service based on your interest fast and easy
Shopify app, public API and more — plug WeShipYou into your store.
API Access for developers
Automatic monthly invoices, branded PDFs and one-click payments.
Create sub-accounts
namestringrequireddisplayNamestringrequiredsystemUnitsstringrequiredimperialmetricemailstringrequirednotificationEmailstringrequiredwebsitestringrequirednullablephonestringrequirednullableemergencyPhonestringrequirednullabletaxIdstringnullabletaxIdCountryobjectnullableisoCodestringrequireduidstringread-onlyaccountNumberstringread-onlyparentUidstringnullableread-onlyThe uid of the parent account when this is a sub-account, null otherwise.
statusstringread-onlylanguagestringrequiredisBusinessboolean | integerrequiredallowBankAccountPaymentsboolean | integerread-onlymetadataobjectnullableread-onlycreatedAtstring <date-time>read-onlyupdatedAtstring <date-time>read-onlydeletedAtstring <date-time>nullableread-onlyaddressIdnumbernullableread-onlybillingAddressIdnumbernullableread-onlydefaultShipFromIdnumbernullableread-onlydefaultAddressOnLabelIdnumbernullableread-onlydefaultReturnAddressIdnumbernullableread-onlyprimaryPaymentShipmentsIdnumbernullableread-onlylogoIdnumbernullableread-onlypickupServiceFallbackIdnumbernullableread-onlyrevisionnumbernullableread-onlyaddressAccount address | objectMain address of the account.
uidstringrequirednullableAddress UID. Use it as accountAddressId, or as a sender / recipient uid on a shipment.
nicknamestringnullableName shown in address books.
namestringnullableContact name.
companyNamestringnullableCompany name.
taxIdstringnullableTax ID of the contact.
emailstringnullableContact email.
phonestringnullableContact phone, E.164.
birthdaystring <date-time>nullableContact birthday, when collected.
isRecipientboolean | integernullableThe address can receive shipments. 1/true or 0/false.
isSenderboolean | integernullableThe address can send shipments. 1/true or 0/false.
isResidentialboolean | integernullableThe address is residential. 1/true or 0/false.
statusstringrequirednullableRecord status.
addressobjectnullableStreet address. Included when the address is read on its own.
cityobjectnamestringnullablestateobjectnamestringnullablestreetstringStreet address, including the building or apartment number.
postalCodestringcountryobjectnullableCountry of the address. Included when the address is read on its own.
isoCodestringADAEAFALAGAIAQAMAOARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBVBWBYBZCACCCDCFCGCHCICKCLCMCNCOCRCUCVCWCXCYCZDEDJDKDMDODZECEEEGEHERESETFIFJFKFMFOFRGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHMHNHRHTIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRXKKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMHUMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSSSESGSHSISJSKSLSMSNSOSRSTSVSXSYSZTCTDTFTGTHTJTKTLTMTNTOTRTTTVTWTZUAUGUMUSUYUZVAVCVEVGVIVNVUWFWSYTYEZAZMZWCSANcreatedAtstring <date-time>requirednullableWhen the address was saved.
updatedAtstring <date-time>requirednullableWhen the address last changed.
{
"name": "Contract Branch",
"displayName": "Contract Branch",
"systemUnits": "imperial",
"email": "jane.doe@example.com",
"notificationEmail": "jane.doe@example.com",
"website": "https://example.com",
"phone": "+13055550100",
"emergencyPhone": "+13055550101",
"uid": "85js5f5clt2u",
"accountNumber": "CUDHMFEDA9",
"parentUid": "h4jupn7wtfqp",
"status": "active",
"language": "en",
"isBusiness": true,
"createdAt": "2026-11-01T00:37:55.618Z",
"updatedAt": "2026-11-01T00:37:55.618Z",
"revision": 1
}Creates a sub-account under one of your accounts (accountUid), with its own forwarding address. The answer names the parent in parentUid; list the sub-accounts later with GET /accounts?parentUid=.
Accept-LanguagestringTwo-letter code of the language for messages: en, es or pt.
en-USThe sub-account to create.
accountUidstringThe uid of the parent account, one you belong to. Optional when you belong to a single account (the sub-account is created under it).
externalAccountNumberstringnamestringrequireddisplayNamestringrequiredsystemUnitsstringrequiredimperialmetricemailstringrequirednotificationEmailstringrequiredwebsitestringrequirednullablephonestringrequirednullableemergencyPhonestringrequirednullabletaxIdstringnullabletaxIdCountryobjectnullableisoCodestringrequireduidstringread-onlyaccountNumberstringread-onlyparentUidstringnullableread-onlyThe uid of the parent account when this is a sub-account, null otherwise.
statusstringread-onlylanguagestringrequiredisBusinessboolean | integerrequiredallowBankAccountPaymentsboolean | integerread-onlymetadataobjectnullableread-onlycreatedAtstring <date-time>read-onlyupdatedAtstring <date-time>read-onlydeletedAtstring <date-time>nullableread-onlyaddressIdnumbernullableread-onlybillingAddressIdnumbernullableread-onlydefaultShipFromIdnumbernullableread-onlydefaultAddressOnLabelIdnumbernullableread-onlydefaultReturnAddressIdnumbernullableread-onlyprimaryPaymentShipmentsIdnumbernullableread-onlylogoIdnumbernullableread-onlypickupServiceFallbackIdnumbernullableread-onlyrevisionnumbernullableread-onlyaddressAccount address | objectMain address of the account.
uidstringrequirednullableAddress UID. Use it as accountAddressId, or as a sender / recipient uid on a shipment.
nicknamestringnullableName shown in address books.
namestringnullableContact name.
companyNamestringnullableCompany name.
taxIdstringnullableTax ID of the contact.
emailstringnullableContact email.
phonestringnullableContact phone, E.164.
birthdaystring <date-time>nullableContact birthday, when collected.
isRecipientboolean | integernullableThe address can receive shipments. 1/true or 0/false.
isSenderboolean | integernullableThe address can send shipments. 1/true or 0/false.
isResidentialboolean | integernullableThe address is residential. 1/true or 0/false.
statusstringrequirednullableRecord status.
addressobjectnullableStreet address. Included when the address is read on its own.
cityobjectnamestringnullablestateobjectnamestringnullablestreetstringStreet address, including the building or apartment number.
postalCodestringcountryobjectnullableCountry of the address. Included when the address is read on its own.
isoCodestringADAEAFALAGAIAQAMAOARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBVBWBYBZCACCCDCFCGCHCICKCLCMCNCOCRCUCVCWCXCYCZDEDJDKDMDODZECEEEGEHERESETFIFJFKFMFOFRGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHMHNHRHTIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRXKKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMHUMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSSSESGSHSISJSKSLSMSNSOSRSTSVSXSYSZTCTDTFTGTHTJTKTLTMTNTOTRTTTVTWTZUAUGUMUSUYUZVAVCVEVGVIVNVUWFWSYTYEZAZMZWCSANcreatedAtstring <date-time>requirednullableWhen the address was saved.
updatedAtstring <date-time>requirednullableWhen the address last changed.
Successful operation
Invalid request
namestringBadRequestmessagestringcodenumber400classNamestringbad-requestdataobjectMissing or invalid access token
namestringNotAuthenticatedmessagestringcodenumber401classNamestringnot-authenticateddataobjectaccountUid is not one of your accounts, or that account may not hold sub-accounts
namestringForbiddenmessagestringcodenumber403classNamestringforbiddendataobjectcurl -X POST 'https://sandbox.weshipyou.com/api/v1/add-sub-account' \
-H "Authorization: Bearer $WSY_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"accountUid": "h4jupn7wtfqp",
"externalAccountNumber": "STORE-7",
"name": "Jane'\''s Store Orlando",
"displayName": "Jane'\''s Store Orlando",
"systemUnits": "imperial",
"email": "orlando@janesstore.com",
"notificationEmail": "orlando-orders@janesstore.com",
"website": "https://janesstore.com",
"phone": "+1 (786) 651-0451",
"emergencyPhone": "+1 (786) 651-0452",
"taxId": "88-1345985",
"taxIdCountry": {
"isoCode": "US"
},
"language": "en-US",
"isBusiness": true
}'{
"name": "Contract Branch",
"displayName": "Contract Branch",
"systemUnits": "imperial",
"email": "jane.doe@example.com",
"notificationEmail": "jane.doe@example.com",
"website": "https://example.com",
"phone": "+13055550100",
"emergencyPhone": "+13055550101",
"uid": "85js5f5clt2u",
"accountNumber": "CUDHMFEDA9",
"parentUid": "h4jupn7wtfqp",
"status": "active",
"language": "en",
"isBusiness": true,
"createdAt": "2026-11-01T00:37:55.618Z",
"updatedAt": "2026-11-01T00:37:55.618Z",
"revision": 1
}